
Redmine - Patch #23346

Set user's localization before redirecting on forced password change to generate flash message in

current user's language

2016-07-15 12:58 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 3.3.1   

Description

If a user is forced to change their password on login, they get redirected to a password change form with a flash message set. The

flash message however is generated using the locale of the previous request since the current localization is only set to i18n after the

redirect. When multiple users with dirrferent languages are using a Redmine, the flash message can thus be shown in an unexpected

language.

The attached patch against the current trunk fixes this behavior by setting the language before checking for a forced password

change.

Associated revisions

Revision 15775 - 2016-08-31 19:01 - Jean-Philippe Lang

Set user's localization before redirecting (#23346).

Patch by Holger Just.

Revision 15776 - 2016-08-31 19:08 - Jean-Philippe Lang

Adds a test for #23346.

Revision 15777 - 2016-08-31 19:10 - Jean-Philippe Lang

Merged r15775 and r15776 (#23346).

History

#1 - 2016-08-20 06:30 - Go MAEDA

- Target version set to 3.3.1

#2 - 2016-08-31 19:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.
